Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS04NDc3LTN2MzktZ2dwbc3mcQ

Improper Validation of Integrity Check Value in Bouncy Castle

The default BKS keystore use an HMAC that is only 16 bits long, which can allow an attacker to compromise the integrity of a BKS keystore. Bouncy Castle release 1.47 changes the BKS format to a format which uses a 160 bit HMAC instead. This applies to any BKS keystore generated prior to BC 1.47. For situations where people need to create the files for legacy reasons a specific keystore type "BKS-V1" was introduced in 1.49. It should be noted that the use of "BKS-V1" is discouraged by the library authors and should only be used where it is otherwise safe to do so, as in where the use of a 16 bit checksum for the file integrity check is not going to cause a security issue in itself.

Permalink: https://github.com/advisories/GHSA-8477-3v39-ggpm
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS04NDc3LTN2MzktZ2dwbc3mcQ
Source: GitHub Advisory Database
Origin: Unspecified
Severity: Moderate
Classification: General
Published: almost 2 years ago
Updated: about 1 year ago


CVSS Score: 4.4
CVSS vector: CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:N

Identifiers: GHSA-8477-3v39-ggpm, CVE-2018-5382
References: Blast Radius: 18.8

Affected Packages

maven:org.bouncycastle:bcprov-jdk15on
Dependent packages: 3,304
Dependent repositories: 18,945
Downloads:
Affected Version Ranges: < 1.50
Fixed in: 1.50
All affected versions:
All unaffected versions: 1.65.1